Time#inspect with frac

06/25/2019 01:12 PM - naruse (Yui NARUSE)

Status: Closed   

Priority: Normal   

Assignee: matz (Yukihiro Matsumoto)   

Target version:    

Description

When Matz changed Time#to_s format in 2006, frac part of Time string is dropped because it is considered not useful.

[ruby-dev:29440]

But recently we encounters some troubles the comparison of Time objects whose frac parts are different.

https://twitter.com/__gfx__/status/1143056072422219776

For example a is original object and b is once stored in RDB (and dropped the frac part).

Or there're multiple time objects which are generated in a single HTTP request.

Of course they are different and assert_equal will be failed but inspect doesn't show the frac part.

Related issues:

Related to Ruby - Feature #16470: Issue with nanoseconds in Time#inspect Closed

Associated revisions

Revision 5208c431bef3240eb251f5da23723b324431a98e - 09/19/2019 11:20 AM - naruse (Yui NARUSE)

Separate Time#inspect from to_s and show subsec [Feature #15958]

Revision 5208c431bef3240eb251f5da23723b324431a98e - 09/19/2019 11:20 AM - naruse (Yui NARUSE)

Separate Time#inspect from to_s and show subsec [Feature #15958]

Revision 5208c431 - 09/19/2019 11:20 AM - naruse (Yui NARUSE)

Separate Time#inspect from to_s and show subsec [Feature #15958]

History

#1 - 07/11/2019 05:43 AM - matz (Yukihiro Matsumoto)

I am not entirely against the idea, just worrying compatibility.

Should we experiment Time#inspect with fraction output?

Matz.

#2 - 09/19/2019 11:20 AM - naruse (Yui NARUSE)

- Status changed from Assigned to Closed

Applied in changeset git|5208c431bef3240eb251f5da23723b324431a98e.

Separate Time#inspect from to_s and show subsec [Feature #15958]

#3 - 06/18/2020 01:26 PM - Eregon (Benoit Daloze)

- Related to Feature #16470: Issue with nanoseconds in Time#inspect added
